import dynamix_sdk.base as _base


class CloudapiComputeAbortSharedSnapshotMergeResultStr(
    _base.BaseAPIResultStr,
):
    pass


class CloudapiComputeAbortSharedSnapshotMergeProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def abort_shared_snapshot_merge(
        self,
        *,
        vm_id: int,
        label: str,
    ) -> CloudapiComputeAbortSharedSnapshotMergeResultStr:
        ...
